org.apache.cassandra.index.sasi.utils

## Class RangeUnionIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>

- java.lang.Object
- - org.apache.cassandra.index.sasi.utils.RangeIterator.Builder<K,D>
  - - org.apache.cassandra.index.sasi.utils.RangeUnionIterator.Builder<K,D>

Enclosing class:
  RangeUnionIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>

    public static class RangeUnionIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>
    extends RangeIterator.Builder<K,D>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.index.sasi.utils.RangeIterator.Builder

`RangeIterator.Builder.EmptyRangeIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>, RangeIterator.Builder.IteratorType, RangeIterator.Builder.Statistics<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>`

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.utils.RangeIterator.Builder

`ranges, statistics`

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected RangeIterator<K,D>` `buildIterator()`

### Methods inherited from class org.apache.cassandra.index.sasi.utils.RangeIterator.Builder

`add, add, build, getMaximum, getMinimum, getTokenCount, rangeCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### buildIterator

    protected RangeIterator<K,D> buildIterator()

Specified by:
  `buildIterator` in class `RangeIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>`